Server Advanced Threat Protection Settings - List By Server

Get a list of the server's Advanced Threat Protection states.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/advancedThreatProtectionSettings?api-version=2025-01-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

LogicalServerAdvancedThreatProtectionListResult

The request has succeeded.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List the server's Advanced Threat Protection settings.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/threatprotection-4799/providers/Microsoft.Sql/servers/threatprotection-6440/advancedThreatProtectionSettings?api-version=2025-01-01

Sample response

{
  "value": [
    {
      "name": "Default",
      "type": "Microsoft.Sql/servers/advancedThreatProtectionSettings",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/threatprotection-4799/providers/Microsoft.Sql/servers/threatprotection-6440/advancedThreatProtectionSettings/Default",
      "properties": {
        "creationTime": "2022-04-03T04:41:33.937Z",
        "state": "Disabled"
      },
      "systemData": {
        "createdAt": "2022-04-03T04:41:33.937Z",
        "createdBy": "string",
        "createdByType": "User",
        "lastModifiedAt": "2022-04-03T04:41:33.937Z",
        "lastModifiedBy": "string",
        "lastModifiedByType": "User"
      }
    }
  ]
}

Definitions

Name Description
AdvancedThreatProtectionState

Specifies the state of the Advanced Threat Protection, whether it is enabled or disabled or a state has not been applied yet on the specific database or server.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

LogicalServerAdvancedThreatProtectionListResult

A list of the server's Advanced Threat Protection configurations.

ServerAdvancedThreatProtection

A server Advanced Threat Protection.

systemData

Metadata pertaining to creation and last modification of the resource.

AdvancedThreatProtectionState

Specifies the state of the Advanced Threat Protection, whether it is enabled or disabled or a state has not been applied yet on the specific database or server.

Value Description
New

New

Enabled

Enabled

Disabled

Disabled

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

LogicalServerAdvancedThreatProtectionListResult

A list of the server's Advanced Threat Protection configurations.

Name Type Description
nextLink

string

Link to retrieve next page of results.

value

ServerAdvancedThreatProtection[]

Array of results.

ServerAdvancedThreatProtection

A server Advanced Threat Protection.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.creationTime

string (date-time)

Specifies the UTC creation time of the policy.

properties.state

AdvancedThreatProtectionState

Specifies the state of the Advanced Threat Protection, whether it is enabled or disabled or a state has not been applied yet on the specific database or server.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.